#OBJS specifies which files to compile as part of the project
OBJS = *.cpp

#CC specifies which compiler we're using
CC = g++

#INCLUDE_PATHS specifies the additional include paths we'll need -I/usr/include/c++/12
INCLUDE_PATHS = -I../ -I/usr/include/SDL2

#LIBRARY_PATHS specifies the additional library paths we'll need
LIBRARY_PATHS = -L/usr/local/lib

#COMPILER_FLAGS specifies the addtional compilation options we're using
#-static-libgcc -static-libstdc++
#-Wunsafe-loop-optimizations -Weffc++ -pedantic
COMPILER_FLAGS = -g -Wall  

#LINKER_FLAGS specifies the libraries we're linking against -lSDL2_ttf -lSDL2_mixer
#-static -lpthread -Wl,-Bstatic -lstdc++ -lpthread -Wl,-Bdynamic
LINKER_FLAGS =-lSDL2main -lSDL2 -lSDL2_image -lSDL2_ttf -lSDL2_mixer                                                                           
#OBJ_NAME specifies the name of our exectuable
OBJ_NAME = Linux-FarmLivingTest

#This is the target that compiles our executable
#Ex: g++ SaveMainLight.cpp -IC:\mingw64\include -LC:\mingw64\lib -g -Wall -lmingw32 -lSDL2main -lSDL2 -lSDL2_image -o Mingw32_SaveMainLight.exe
all : $(OBJS)
	bear --  $(CC) $(OBJS) $(INCLUDE_PATHS) $(LIBRARY_PATHS) $(COMPILER_FLAGS) $(LINKER_FLAGS) -o $(OBJ_NAME)
